> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate Privy Wallet

> Reactivates an archived custodial wallet straight to VERIFIED/current if no active wallet shares its token/network.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/reactivate-privy-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/reactivate-privy-wallet:
    post:
      operationId: reactivatePrivyWallet
      summary: Reactivate Privy Wallet
      description: >-
        Reactivates an archived custodial wallet straight to VERIFIED/current if
        no active wallet shares its token/network.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReactivatePrivyWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReactivatePrivyWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ReactivatePrivyWalletRequest:
      type: object
      properties:
        walletID:
          type: string
      required:
        - walletID
    ReactivatePrivyWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        wallet:
          type: object
          properties:
            walletID:
              type: string
            roleInOrgID:
              type: string
            name:
              type:
                - string
                - 'null'
            address:
              type:
                - string
                - 'null'
            memo:
              type:
                - string
                - 'null'
            destinationTag:
              type:
                - integer
                - 'null'
            network:
              type: string
            status:
              type: string
            walletType:
              type:
                - string
                - 'null'
            orgNetworkID:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            isCurrent:
              type: boolean
            isDefault:
              type: boolean
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - integer
                - 'null'
            walletTypeCustomID:
              type:
                - string
                - 'null'
            nickName:
              type:
                - string
                - 'null'
            investorEntityID:
              type:
                - string
                - 'null'
            tokenTypeID:
              type:
                - string
                - 'null'
            connectedViaMesh:
              type: boolean
            userDismissed:
              type: boolean
            tokenType:
              type:
                - object
                - 'null'
              properties:
                tokenTypeID:
                  type: string
                name:
                  type: string
                currencyCode:
                  type: string
                icon:
                  type:
                    - string
                    - 'null'
                orgID:
                  type: string
                enabledForPayrollType:
                  type:
                    - string
                    - 'null'
                networkID:
                  type: string
                address:
                  type:
                    - string
                    - 'null'
                decimalPlaces:
                  type:
                    - integer
                    - 'null'
                coinMarketCapID:
                  type:
                    - string
                    - 'null'
                createdAt:
                  type: string
                isTokenEnabled:
                  type:
                    - boolean
                    - 'null'
                isContractorDefault:
                  type: boolean
                defaultTokenSlug:
                  type:
                    - string
                    - 'null'
                catalogTokenDeploymentID:
                  type:
                    - string
                    - 'null'
                Network:
                  type:
                    - object
                    - 'null'
                  properties:
                    networkID:
                      type: string
                    orgID:
                      type: string
                    name:
                      type: string
                    icon:
                      type:
                        - string
                        - 'null'
                    tokenType:
                      type: string
                    isNetworkEnabled:
                      type:
                        - boolean
                        - 'null'
                    chainType:
                      type:
                        - string
                        - 'null'
                    meshConnectNetworkID:
                      type:
                        - string
                        - 'null'
                    evmChainID:
                      type:
                        - integer
                        - 'null'
                    multiSendCallOnlyAddress:
                      type:
                        - string
                        - 'null'
                    safeSingletonAddress:
                      type:
                        - string
                        - 'null'
                    safeFactoryAddress:
                      type:
                        - string
                        - 'null'
                    safeAppBaseUrl:
                      type:
                        - string
                        - 'null'
                    safeTxServiceUrl:
                      type:
                        - string
                        - 'null'
                    blockExplorerBaseUrl:
                      type:
                        - string
                        - 'null'
                    eipsName:
                      type:
                        - string
                        - 'null'
                    aleoTransferVisibility:
                      type:
                        - string
                        - 'null'
                    defaultNetworkSlugUrl:
                      type:
                        - string
                        - 'null'
                    catalogChainID:
                      type:
                        - string
                        - 'null'
                  required:
                    - networkID
                    - orgID
                    - name
                    - icon
                    - tokenType
                    - isNetworkEnabled
                    - chainType
                    - meshConnectNetworkID
                    - evmChainID
                    - multiSendCallOnlyAddress
                    - safeSingletonAddress
                    - safeFactoryAddress
                    - safeAppBaseUrl
                    - safeTxServiceUrl
                    - blockExplorerBaseUrl
                    - eipsName
                    - aleoTransferVisibility
                    - defaultNetworkSlugUrl
                    - catalogChainID
              required:
                - tokenTypeID
                - name
                - currencyCode
                - icon
                - orgID
                - enabledForPayrollType
                - networkID
                - address
                - decimalPlaces
                - coinMarketCapID
                - createdAt
                - isTokenEnabled
                - isContractorDefault
                - defaultTokenSlug
                - catalogTokenDeploymentID
                - Network
            privyWallets:
              type: array
              items:
                type: object
                properties:
                  privyWalletID:
                    type: string
                  roleInOrgID:
                    type: string
                  walletID:
                    type: string
                  privyDID:
                    type: string
                  createdWithEmail:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - privyWalletID
                  - roleInOrgID
                  - walletID
                  - privyDID
                  - createdWithEmail
                  - createdAt
                  - updatedAt
            tokenWalletReferences:
              type: array
              items:
                type: object
                properties:
                  walletReferenceID:
                    type: string
                  roleInOrgID:
                    type: string
                  walletID:
                    type: string
                  distributionRatio:
                    type:
                      - string
                      - 'null'
                  distributionType:
                    type: string
                  isBonusToken:
                    type: boolean
                  fixedAmount:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                required:
                  - walletReferenceID
                  - roleInOrgID
                  - walletID
                  - distributionRatio
                  - distributionType
                  - isBonusToken
                  - fixedAmount
                  - createdAt
          required:
            - walletID
            - roleInOrgID
            - name
            - address
            - memo
            - destinationTag
            - network
            - status
            - walletType
            - orgNetworkID
            - createdAt
            - updatedAt
            - isCurrent
            - isDefault
            - legacyMigratedAt
            - legacyModelID
            - walletTypeCustomID
            - nickName
            - investorEntityID
            - tokenTypeID
            - connectedViaMesh
            - userDismissed
            - tokenType
            - privyWallets
            - tokenWalletReferences
      required:
        - success
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
